V10.0

get

/ec-dc-svc/rest/v10.0/studies/{studyId}/{mode}/subjects/{subjectId}/visitWindowInfo/{visitId}

Returns visit window details for the specified subject and visit

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    0A1B2C3D4E5F6A7B8C9D0E1F2A3B4C5D
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    BABA5F5A7F48455BAC61D2B9337C2F48
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
    Example:
    F5B35F6A8B7C4ED6B0A63D2B9A7E227F
Query Parameters
  • Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.
    Example:
    1
  • Flag indicating if only required visits should be included. Example: Y for required, N for all.
    Example:
    Y

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful response. Returns the visit window information for the specified subject and visit.
Body ()
Root Schema : schema
Type: array
Show Source
  • VisitWindowInfoDTO
    DTO containing detailed visit window information for a subject's visit schedule in a study, including event and visit identifier, dates and flags.
Nested Schema : VisitWindowInfoDTO
Type: object
DTO containing detailed visit window information for a subject's visit schedule in a study, including event and visit identifier, dates and flags.
Show Source
Examples

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top